# Retrieve topic

> GET /topics/:id — retrieve a single topic.

`GET /topics/:id`

**Path parameters**

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `topic_id` | string | Yes | The topic ID. |

**Node.js**

```js
import { SendDart } from 'senddart';

const mb = new SendDart('mb_xxxxxxxxx');

const { data, error } = await mb.topics.get('topic_9a2f...');
console.log({ data, error });
```

**Ruby**

```ruby
require "senddart"

SendDart.api_key = "mb_xxxxxxxxx"

SendDart::Topics.get("topic_9a2f...")
```

**PHP**

```php
<?php
require 'vendor/autoload.php';

use SendDart\SendDart;

$senddart = SendDart::client('mb_xxxxxxxxx');

$senddart->topics->get('topic_9a2f...');
```

**Python**

```python
import senddart

senddart.api_key = "mb_xxxxxxxxx"

senddart.Topics.get("topic_9a2f...")
```

**Go**

```go
import "github.com/shekhu10/senddart-sdks/senddart-go"

client := senddart.NewClient("mb_xxxxxxxxx")

topic, err := client.Topics.Get("topic_9a2f...")
```

**Rust**

```rust
use senddart::SendDart;

let mb = SendDart::new("mb_xxxxxxxxx");

let _topic = mb.topics.get("topic_9a2f...").await?;
```

**Java**

```java
import com.senddart.SendDart;
import com.senddart.SendDartResponse;

SendDart senddart = new SendDart("mb_xxxxxxxxx");

SendDartResponse response = senddart.topics().get("topic_9a2f...");
```

**.NET**

```csharp
using SendDart;

ISendDart senddart = SendDartClient.Create("mb_xxxxxxxxx");

var resp = await senddart.TopicRetrieveAsync("topic_9a2f...");
```

**cURL**

```bash
curl -X GET 'https://www.senddart.com/api/topics/topic_9a2f...' \
  -H 'Authorization: Bearer mb_xxxxxxxxx'
```

**CLI**

```bash
senddart topics get topic_9a2f...
```

### Response

```json
{
  "object": "topic",
  "id": "topic_9a2f...",
  "audience_id": "78261eea-8f8b-4381-83c6-79fa7120f1cf",
  "name": "Product updates",
  "description": "Subscribe for product news",
  "default_subscription": "opt_in",
  "visibility": "public",
  "created_at": "2026-06-25T10:00:00.000Z"
}
```
